package kcg.faics.cmmn.vo;

/**
 * 코드 모델. (TCODE)
 * 
 * @author kimnomin
 */
public class CodeVO {
	/**
	 * 대분류 코드.
	 */
	private String code1;
	
	/**
	 * 중분류 코드.
	 */
	private String code2;
	
	/**
	 * 코드명.
	 */
	private String codenm;
	
	/**
	 * 코드명 약자.
	 */
	private String codenmYak;
	
	/**
	 * 코드 사용 여부.
	 */
	private String codeUseYN;

	/**
	 * 대분류 코드를 반환한다.
	 * @return 대분류 코드
	 */
	public String getCode1() {
		return code1;
	}
	/**
	 * 대분류 코드를 설정한다.
	 * 
	 * @param code1 대분류 코드
	 */
	public void setCode1(final String code1) {
		this.code1 = code1;
	}
	/**
	 * 중분류 코드를 반환한다.
	 * 
	 * @return 중분류 코드
	 */
	public String getCode2() {
		return code2;
	}
	/**
	 * 중분류 코드를 설정한다.
	 * 
	 * @param code2 중분류 코드
	 */
	public void setCode2(final String code2) {
		this.code2 = code2;
	}
	/**
	 * 코드명을 반환한다.
	 * 
	 * @return 코드명
	 */
	public String getCodenm() {
		return codenm;
	}
	/**
	 * 코드명을 설정한다.
	 * 
	 * @param codenm 코드명
	 */
	public void setCodenm(final String codenm) {
		this.codenm = codenm;
	}
	/**
	 * 코드명 약자를 반환한다.
	 * 
	 * @return 코드명 약자
	 */
	public final String getCodenmYak() {
		return codenmYak;
	}
	/**
	 * 코드명 약자를 설정한다.
	 * 
	 * @param codenmYak 코드명 약자
	 */
	public final void setCodenmYak(final String codenmYak) {
		this.codenmYak = codenmYak;
	}
	/**
	 * 코드 사용 여부를 반환한다.
	 * 
	 * @return 코드 사용 여부
	 */
	public final String getCodeUseYN() {
		return codeUseYN;
	}
	/**
	 * 코드 사용 여부를 설정한다.
	 * 
	 * @param codeUseYN 코드 사용 여부
	 */
	public final void setCodeUseYN(final String codeUseYN) {
		this.codeUseYN = codeUseYN;
	}
	
}
